### Constructor

# FoundryGtk DiagnosticsGutterRenderer new

#### Declaration [src]

    GtkSourceGutterRenderer*
    foundry_diagnostics_gutter_renderer_new (
      FoundryOnTypeDiagnostics* diagnostics
    )

#### Description

No description available.

#### Parameters

`diagnostics`

  Type: `FoundryOnTypeDiagnostics`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `GtkSourceGutterRenderer`

No description available.

The data is owned by the called function.